## docker.io 26.1.4+dfsg1

=== Makefile ===
# Root directory of the project (absolute path).
ROOTDIR=$(dir $(abspath $(lastword $(MAKEFILE_LIST))))

SHELL := /bin/bash

# stop here. do we want to run everything inside of a container, or do we want
# to run it directly on the host? if the user has set ANY non-empty value for
# the variable DOCKER_SWARMKIT_USE_CONTAINER, then we do all of the making
# inside of a container. We will default to using no container, to avoid
# breaking anyone's workflow
ifdef DOCKER_SWARMKIT_USE_CONTAINER
include containerized.mk
else
include direct.mk
endif

=== debian/changelog ===
docker.io (26.1.4+dfsg1-9) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Jul 2024 08:28:37 +0000

docker.io (26.1.4+dfsg1-8) experimental; urgency=medium

  * Declare Proper conflicts/replaces/breaks, Closes: #1076373
  * Fix FTBFS on mips64el

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 23 Jul 2024 09:41:02 +0200

docker.io (26.1.4+dfsg1-7) experimental; urgency=medium

  [ Tianon Gravi ]
  * Add "docker-cli" binary package, Closes: #1035338

  [ Reinhard Tartler ]
  * Install docker/{plugin,volume} golang packages, Closes: #1001918

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Jul 2024 19:07:13 -0400

docker.io (26.1.4+dfsg1-6) experimental; urgency=medium

  * Depend on golang-github-containerd-typeurl-dev, it is an other indirect
    build dependency of buildkit

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 10 Jul 2024 21:45:58 -0400

docker.io (26.1.4+dfsg1-5) experimental; urgency=medium

  * Add back golang-github-mitchellh-hashstructure-dev, it is an indirect
    build dependency of buildkit

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 07 Jul 2024 07:32:58 -0400

docker.io (26.1.4+dfsg1-4) experimental; urgency=medium

  * drop golang-github-mitchellh-hashstructure-dev
  * docker-docker-dev: Add depends on moby/{locker,patternmatcher,pubsub,sys}

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 06 Jul 2024 20:10:47 -0400

docker.io (26.1.4+dfsg1-3) experimental; urgency=medium

  * golang-github-docker-docker-dev: add opentelemetry deps
  * install vendored dependencies, specifically:
    - docker/internal
    - moby/docker-image-spec
    - distribution/reference

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 05 Jul 2024 17:26:42 -0400

docker.io (26.1.4+dfsg1-2) experimental; urgency=medium

  * Add myself to uploaders
  * Restore setting GOCACHE, fixes FTBFS

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 04 Jul 2024 10:24:08 -0400

docker.io (26.1.4+dfsg1-1) experimental; urgency=medium

  * Team upload
  * New upstream release [24.0.9]
  * New upstream release [26.1.4], closes: #1051202, #1051202, #1033839
    - libnetwork: Add docker interfaces to firewalld docker zone,
      closes: #913664
    - engine: CVE-2024-29018, closes: #1068460
    - engine: CVE-2024-24557, closes: #1071745
    - engine: CVE-2024-32473, closes: #1070378
    - engine: reportedly no longer randomly kills containers, cf.
      https://github.com/moby/moby/issues/38768#issuecomment-688518332,
      closes: #979316
  * Recommend dbus-user-session, closes: #992486
  * Make failing unit tests not fail the package build
    Closes: #1070821, #1038902
    rationale: Unit tests are written to be run in well-controlled
    containers, which are hard to replicate in a package build. Instead,
    run a smoke test that ensures the executables are linked correctly.
  * Skip Failing test Can't find mount point of /, Closes: #1072145

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 04 Jul 2024 07:42:06 -0400

docker.io (20.10.25+dfsg1-4) experimental; urgency=medium

  * Team Upload
  * Compile against golang/protobuf@1.5

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 09 Jun 2024 16:04:49 -0400

docker.io (20.10.25+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Backport
    https://github.com/moby/moby/commit/97921915a801dd82b1f5a70e0a69353539c1e3ae.patch
    to fix FTBFS, (Closes: #1068755).

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 07 May 2024 06:33:18 -0400

=== debian/control ===
Source: docker.io
Section: admin
Priority: optional
Standards-Version: 4.7.0
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Arnaud Rebillout <arnaudr@kali.org>
          ,Dmitry Smirnov <onlyjob@debian.org>
          ,Tim Potter <tpot@hpe.com>
          ,Tianon Gravi <tianon@debian.org>
          ,Paul Tagliamonte <paultag@debian.org>
          ,Reinhard Tartler <siretart@tauware.de>
Build-Conflicts: golang-github-docker-docker-dev
Build-Depends: debhelper-compat (= 13) ,dh-apparmor ,dh-golang (>= 1.14~)
    ,bash-completion
    ,ca-certificates
    ,golang-any (>= 2:1.10~)
    ,go-md2man (>= 1.0.3~)
    ,golang-dbus-dev (>= 5.0.2~)
#    ,golang-etcd-server-dev
    ,golang-github-adamkorcz-go-fuzz-headers-1-dev
    ,golang-github-agext-levenshtein-dev
    ,golang-github-armon-circbuf-dev
    ,golang-github-armon-go-metrics-dev
    ,golang-github-aws-aws-sdk-go-v2-dev
    ,golang-github-aws-smithy-go-dev
    ,golang-github-azure-go-ansiterm-dev
    ,golang-github-bsphere-le-go-dev
    ,golang-github-burntsushi-toml-dev
    ,golang-github-cespare-xxhash-dev
    ,golang-github-cenkalti-backoff-dev
    ,golang-github-cilium-ebpf-dev
    ,golang-github-cloudflare-cfssl-dev (>= 1.6.4)
    ,golang-github-containerd-console-dev
    ,golang-github-containerd-containerd-dev (>= 1.7)
    ,golang-github-containerd-continuity-dev (>= 0.0~git20190426~)
    ,golang-github-containerd-fifo-dev (>= 1.1.0~)
    ,golang-github-containerd-go-cni-dev
    ,golang-github-containerd-go-runc-dev (>= 1.1.0)
    ,golang-github-containerd-typeurl-dev (>= 2.1.1-2)
    ,golang-github-containernetworking-plugins-dev
    ,golang-github-coreos-bbolt-dev (>= 1.3.10)
    ,golang-github-coreos-go-systemd-dev (>= 20~)
    ,golang-github-creack-pty-dev
    ,golang-github-cyphar-filepath-securejoin-dev
    ,golang-github-davecgh-go-spew-dev
    ,golang-github-deckarep-golang-set-dev (>= 2.3.0~)
    ,golang-github-dimchansky-utfbom-dev
    ,golang-github-docker-distribution-dev (>= 2.7.1~)
    ,golang-github-docker-docker-credential-helpers-dev (>= 0.6.1~)
    ,golang-github-docker-go-connections-dev (>= 0.4.0~)
    ,golang-github-docker-go-events-dev
    ,golang-github-docker-go-metrics-dev
    ,golang-github-docker-go-units-dev (>= 0.4.0~)
    ,golang-github-docker-libkv-dev
    ,golang-github-docker-libtrust-dev
    ,golang-github-docker-notary-dev (>= 0.7.0+git20240416)
    ,golang-github-felixge-httpsnoop-dev
    ,golang-github-fernet-fernet-go-dev
    ,golang-github-fluent-fluent-logger-golang-dev (>= 1.3.0~)
    ,golang-github-fsnotify-fsnotify-dev
    ,golang-github-fvbommel-sortorder-dev
    ,golang-github-go-logr-logr-dev
    ,golang-github-go-logr-stdr-dev
    ,golang-github-gofrs-flock-dev
    ,golang-github-gogo-googleapis-dev
    ,golang-github-golang-groupcache-dev
    ,golang-github-golang-jwt-jwt-dev    
    ,golang-github-googleapis-gax-go-dev
    ,golang-github-google-go-cmp-dev (>= 0.2.0~)
    ,golang-github-google-shlex-dev
    ,golang-github-google-uuid-dev
    ,golang-github-gorilla-mux-dev (>= 1.7.1~)
    ,golang-github-gotestyourself-gotest.tools-dev
    ,golang-github-graylog2-go-gelf-dev (>= 0.0+git20191017~)
    ,golang-github-grpc-ecosystem-go-grpc-prometheus-dev
    ,golang-github-grpc-ecosystem-go-grpc-middleware-dev
    ,golang-github-grpc-ecosystem-grpc-opentracing-dev
    ,golang-github-hashicorp-go-memdb-dev
    ,golang-github-hashicorp-go-immutable-radix-dev
    ,golang-github-hashicorp-memberlist-dev (>= 0.1.0~)
    ,golang-github-hashicorp-serf-dev
    ,golang-github-imdario-mergo-dev (>= 0.3.3~)
    ,golang-github-in-toto-in-toto-golang-dev
    ,golang-github-ishidawataru-sctp-dev
    ,golang-github-json-iterator-go-dev (>= 1.1.4~)
    ,golang-github-klauspost-compress-dev
    ,golang-github-mattn-go-runewidth-dev
    ,golang-github-miekg-dns-dev (>= 1.1.26~)
    ,golang-github-mitchellh-hashstructure-dev (>= 2.0.2)
    ,golang-github-moby-locker-dev
    ,golang-github-moby-patternmatcher-dev
    ,golang-github-moby-pubsub-dev
    ,golang-github-moby-sys-dev
    ,golang-github-moby-term-dev
    ,golang-github-modern-go-reflect2-dev
    ,golang-github-morikuni-aec-dev
    ,golang-github-nxadm-tail-dev
    ,golang-github-onsi-ginkgo-dev
    ,golang-github-opencontainers-go-digest-dev
    ,golang-github-opencontainers-image-spec-dev (>= 1.0.1~)
    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc8~)
    ,golang-github-opencontainers-selinux-dev (>= 1.8.0~)
    ,golang-github-opencontainers-specs-dev (>= 1.0.1~)
    ,golang-github-opentracing-contrib-go-stdlib-dev
    ,golang-github-opentracing-opentracing-go-dev (>= 0.0~git20180507)
    ,golang-opentelemetry-contrib-dev (>= 0.42)
    ,golang-opentelemetry-otel-dev (>= 1.21)
    ,golang-opentelemetry-proto-dev
    ,golang-github-pelletier-go-toml-dev
    ,golang-github-philhofer-fwd-dev
    ,golang-github-prometheus-client-golang-dev (>= 0.9.0~)
    ,golang-github-racksec-srslog-dev
    ,golang-github-rcrowley-go-metrics-dev
    ,golang-github-samuel-go-zookeeper-dev
    ,golang-github-sirupsen-logrus-dev (>= 1.0.2~)
    ,golang-github-spf13-cobra-dev (>= 1.1.1~)
    ,golang-github-spf13-pflag-dev (>= 1.0.5-2~)
    ,golang-github-stretchr-testify-dev
    ,golang-github-tchap-go-patricia-dev
#    ,golang-github-tonistiigi-fsutil-dev (>= 0.0~git20200724~)
    ,golang-github-tonistiigi-units-dev
    ,golang-github-rootless-containers-rootlesskit-dev (>= 2)
    ,golang-github-secure-systems-lab-go-securesystemslib-dev
    ,golang-github-urfave-cli-dev (>= 1.20.0~)
    ,golang-github-vbatts-tar-split-dev (>= 0.11.1~)
    ,golang-github-xeipuuv-gojsonschema-dev (>= 1.2.0~)
    ,golang-golang-x-net-dev
    ,golang-golang-x-oauth2-google-dev | golang-golang-x-oauth2-dev
    ,golang-golang-x-term-dev
    ,golang-golang-x-time-dev
    ,golang-google-api-dev
    ,golang-google-cloud-dev
    ,golang-google-grpc-dev (>> 1.64)
    ,golang-github-golang-protobuf-1-5-dev
    ,golang-go-zfs-dev
    ,golang-protobuf-extensions-dev
    ,golang-k8s-klog-dev
    ,gotestsum
    ,libapparmor-dev
    ,libseccomp-dev
    ,libsystemd-dev
    ,pkgconf
    ,procps
    ,tzdata
# tests:
    ,git
    ,golang-github-adalogics-go-fuzz-headers-dev
Homepage: https://mobyproject.org
Vcs-Browser: https://salsa.debian.org/go-team/packages/docker
Vcs-Git: https://salsa.debian.org/go-team/packages/docker.git
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/docker/docker

Package: docker.io
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends} ,${shlibs:Depends}
    ,adduser
    ,containerd (>= 1.4~)
    ,iptables
    ,sysvinit-utils (>= 3.05-4~)
    ,runc (>= 1.0.0~rc8~)
    ,tini
Recommends: apparmor
    ,ca-certificates
    ,dbus-user-session
    ,docker-cli
    ,git
    ,needrestart (>= 3.1~)
    ,xz-utils
Conflicts:
## Docker's vendor packages:
    docker-ce
    ,docker-ce-rootless-extras
Suggests: docker-doc
    ,aufs-tools
    ,btrfs-progs
    ,cgroupfs-mount
    ,debootstrap
    ,e2fsprogs
    ,rinse
    ,rootlesskit
    ,xfsprogs
    ,zfs-fuse | zfsutils-linux
Built-Using: ${libc:Built-Using}, ${misc:Built-Using}
Description: Linux container runtime
 Docker complements kernel namespacing with a high-level API which operates at
 the process level. It runs unix processes with strong guarantees of isolation
 and repeatability across servers.
 .
 Docker is a great building block for automating distributed systems:
 large-scale web deployments, database clusters, continuous deployment systems,
 private PaaS, service-oriented architectures, etc.
 .
 This package contains the daemon and client. Using docker.io on non-amd64 hosts
 is not supported at this time. Please be careful when using it on anything
 besides amd64.
 .
 Also, note that kernel version 3.8 or above is required for proper operation of
 the daemon process, and that any lower versions may have subtle and/or glaring
 issues.

Package: docker-cli
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends} ,${shlibs:Depends}
Conflicts:
## Docker's (old) vendor package:
    docker-ce-cli
## podman-docker is providing an alternative docker implementation
    ,podman-docker
# the version of "docker.io" prior to the introduction of the separate "docker-cli" package
Replaces: docker.io (<< 26.1.4+dfsg1-7~)
Breaks: docker.io (<< 26.1.4+dfsg1-7~)
Suggests: docker-doc
Built-Using: ${libc:Built-Using}, ${misc:Built-Using}
Description: Linux container runtime -- client
 This package contains the "docker" client binary for interacting with a running
 Docker daemon.
 .
 See the "docker.io" package for the full Docker daemon experience.

Package: golang-github-docker-docker-dev
Architecture: all
Section: golang
Depends: ${misc:Depends}
    ,golang-github-armon-circbuf-dev
    ,golang-github-cloudflare-cfssl-dev (>= 1.6.4)
    ,golang-github-containerd-containerd-dev (>= 1.7)
    ,golang-github-containerd-continuity-dev (>= 0.0~git20190426~)
    ,golang-github-containerd-typeurl-dev (>= 2.1.1-2)
    ,golang-github-docker-distribution-dev (>= 2.7.1~)
    ,golang-github-docker-docker-credential-helpers-dev (>= 0.6.1~)
    ,golang-github-docker-go-connections-dev (>= 0.4.0~)
    ,golang-github-docker-go-metrics-dev
    ,golang-github-docker-go-units-dev (>= 0.4.0~)
    ,golang-github-docker-libkv-dev
    ,golang-github-fsnotify-fsnotify-dev
    ,golang-github-gorilla-mux-dev (>= 1.7.1~)
    ,golang-github-mitchellh-hashstructure-dev (>= 2.0.2)
    ,golang-github-moby-locker-dev
    ,golang-github-moby-patternmatcher-dev
    ,golang-github-moby-pubsub-dev
    ,golang-github-moby-sys-dev
    ,golang-github-moby-term-dev
    ,golang-github-morikuni-aec-dev
    ,golang-github-opencontainers-go-digest-dev
    ,golang-github-opencontainers-image-spec-dev (>= 1.0.1~)
    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc8~)
    ,golang-github-opencontainers-selinux-dev (>= 1.8.0~)
    ,golang-github-sirupsen-logrus-dev (>= 1.0.2~)
    ,golang-github-tchap-go-patricia-dev
    ,golang-golang-x-net-dev
    ,golang-golang-x-sys-dev (>= 0.0~git20190726~)
    ,golang-opentelemetry-contrib-dev (>= 0.42)
    ,golang-opentelemetry-otel-dev (>= 1.21)
# libnetwork:
    ,golang-dbus-dev (>= 5.0.2~)
    ,golang-github-deckarep-golang-set-dev
    ,golang-github-docker-go-events-dev
    ,golang-github-hashicorp-memberlist-dev (>= 0.1.0~)
    ,golang-github-hashicorp-serf-dev
    ,golang-github-ishidawataru-sctp-dev
    ,golang-github-vishvananda-netlink-dev (>= 1.0.0~)
    ,golang-github-vishvananda-netns-dev
Description: reusable Go packages included with Docker
 These packages are intentionally developed by upstream in such a way that they
 are reusable to projects outside Docker and only rely on each other or other
 external dependencies to be built.

Package: docker-doc
Provides: docker.io-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Linux container runtime -- documentation
 Docker complements kernel namespacing with a high-level API which operates at
 the process level. It runs unix processes with strong guarantees of isolation
 and repeatability across servers.
 .
 Docker is a great building block for automating distributed systems:
 large-scale web deployments, database clusters, continuous deployment systems,
 private PaaS, service-oriented architectures, etc.
 .
 This package contains the daemon and client. Using docker.io on non-amd64 hosts
 is not supported at this time. Please be careful when using it on anything
 besides amd64.
 .
 Also, note that kernel version 3.8 or above is required for proper operation of
 the daemon process, and that any lower versions may have subtle and/or glaring
 issues.
 .
 This package provides documentation for Docker.

## docker.io 26.1.4+dfsg2

=== debian/changelog ===
docker.io (26.1.4+dfsg2-1ubuntu1.2) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 04 Jul 2025 12:41:01 +1000

docker.io (26.1.4+dfsg2-1ubuntu1.1) oracular-security; urgency=medium

  * SECURITY UPDATE: authz plugin bypass causes privilege escalation
    - debian/patches/CVE-2024-41110-1.patch: Authz plugin security fixes
      for 0-length content and path validation
    - debian/patches/CVE-2024-41110-2.patch: If url includes scheme,
      urlPath will drop hostname, which would not match the auth check
    - CVE-2024-41110 

 -- Vyom Yadav <vyom.yadav@canonical.com>  Mon, 14 Apr 2025 13:16:38 +0530

docker.io (26.1.4+dfsg2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/tests/control: remove since all tests are related to the docker application
      provided by docker.io binary package.
    - d/golang-github-docker-docker-dev.docs: install NOTICE files to comply
      with Apache license.
  * Dropped changes (replaced by non default Build-Profiles):
    - d/control: remove binary paragraghs for docker.io and docker-doc.
    - d/docker-doc.docs: removed together with the docker-doc binary package.
    - d/docker.io.*: remove all packaging related files associated to the
      docker.io binary package.
    - d/p/engine-allow-exclude-unit-test.patch: add patch to allow excluding
      extra directories when running engine unit tests. (engine test failure
      is ignored in new version)
    - d/rules:
      + Do not run aufs related unit tests in the engine component. (engine
        test failure is ignored in new version)
      + Do not install apparmor profile for docker.io.
      + remove override_dh_gencontrol, since docker.io binary package was also
        removed.
    - d/p/test--skip-daemon-oci-linux-pbuilder-tests.patch: always skip engine
      test TestGetSourceMount which is failing in LP. The Debian maintainer
      already skipped this test when the package is built with pbuilder, now
      this condition has been removed and the test is always skipped. (engine
      test failure is ignored in new version)
  * New changes:
    - d/control: add non default pkg.docker.with-bin Build-Profiles
      to disable building docker.io, docker-cli, and docker.io-doc binary package
      by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Tue, 13 Aug 2024 13:25:46 +0800

docker.io (26.1.4+dfsg2-1) unstable; urgency=medium

  * Use packaged golang-github-moby-docker-image-spec (Closes: #1078280)
  * Copy relative grpc-middleware v1 function (Closes: #1078280)
    grpc-middleware has been updated to v2.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 13 Aug 2024 15:57:09 +0800

docker.io (20.10.25+dfsg1-3ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: remove binary paragraghs for docker.io and docker-doc.
    - d/docker-doc.docs: removed together with the docker-doc binary package.
    - d/docker.io.*: remove all packaging related files associated to the
      docker.io binary package.
    - d/p/engine-allow-exclude-unit-test.patch: add patch to allow excluding
      extra directories when running engine unit tests.
    - d/rules:
      + Do not run aufs related unit tests in the engine component.
      + Do not install apparmor profile for docker.io.
      + remove override_dh_gencontrol, since docker.io binary package was also
        removed.
    - d/tests: remove since all tests are related to the docker application
      provided by docker.io binary package.
    - d/golang-github-docker-docker-dev.docs: install NOTICE files to comply
      with Apache license.
    - d/p/test--skip-daemon-oci-linux-pbuilder-tests.patch: always skip engine
      test TestGetSourceMount which is failing in LP. The Debian maintainer
      already skipped this test when the package is built with pbuilder, now
      this condition has been removed and the test is always skipped.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 29 May 2024 16:27:29 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: optional
 Standards-Version: 4.7.0
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Arnaud Rebillout <arnaudr@kali.org>
           ,Dmitry Smirnov <onlyjob@debian.org>
           ,Tim Potter <tpot@hpe.com>
@@ -73,7 +74,6 @@
     ,golang-github-gotestyourself-gotest.tools-dev
     ,golang-github-graylog2-go-gelf-dev (>= 0.0+git20191017~)
     ,golang-github-grpc-ecosystem-go-grpc-prometheus-dev
-    ,golang-github-grpc-ecosystem-go-grpc-middleware-dev
     ,golang-github-grpc-ecosystem-grpc-opentracing-dev
     ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-go-immutable-radix-dev
@@ -87,6 +87,7 @@
     ,golang-github-mattn-go-runewidth-dev
     ,golang-github-miekg-dns-dev (>= 1.1.26~)
     ,golang-github-mitchellh-hashstructure-dev (>= 2.0.2)
+    ,golang-github-moby-docker-image-spec-dev
     ,golang-github-moby-locker-dev
     ,golang-github-moby-patternmatcher-dev
     ,golang-github-moby-pubsub-dev
@@ -152,7 +153,8 @@
 XS-Go-Import-Path: github.com/docker/docker
 
 Package: docker.io
-Architecture: linux-any
+Build-Profiles: <pkg.docker.with-bin>
+Architecture: amd64
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends} ,${shlibs:Depends}
     ,adduser
@@ -201,7 +203,8 @@
  issues.
 
 Package: docker-cli
-Architecture: linux-any
+Build-Profiles: <pkg.docker.with-bin>
+Architecture: amd64
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends} ,${shlibs:Depends}
 Conflicts:
@@ -238,6 +241,7 @@
     ,golang-github-fsnotify-fsnotify-dev
     ,golang-github-gorilla-mux-dev (>= 1.7.1~)
     ,golang-github-mitchellh-hashstructure-dev (>= 2.0.2)
+    ,golang-github-moby-docker-image-spec-dev
     ,golang-github-moby-locker-dev
     ,golang-github-moby-patternmatcher-dev
     ,golang-github-moby-pubsub-dev
@@ -269,6 +273,7 @@
  external dependencies to be built.
 
 Package: docker-doc
+Build-Profiles: <pkg.docker.with-bin>
 Provides: docker.io-doc
 Section: doc
 Architecture: all

## docker.io 26.1.4+dfsg3

=== debian/changelog ===
docker.io (26.1.4+dfsg3-1) unstable; urgency=medium

  * Unvendor "distribution/reference"

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Aug 2024 17:57:23 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: admin
 Priority: optional
 Standards-Version: 4.7.0
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Arnaud Rebillout <arnaudr@kali.org>
           ,Dmitry Smirnov <onlyjob@debian.org>
           ,Tim Potter <tpot@hpe.com>
@@ -46,6 +45,7 @@
     ,golang-github-davecgh-go-spew-dev
     ,golang-github-deckarep-golang-set-dev (>= 2.3.0~)
     ,golang-github-dimchansky-utfbom-dev
+    ,golang-github-distribution-reference-dev
     ,golang-github-docker-distribution-dev (>= 2.7.1~)
     ,golang-github-docker-docker-credential-helpers-dev (>= 0.6.1~)
     ,golang-github-docker-go-connections-dev (>= 0.4.0~)
@@ -153,8 +153,7 @@
 XS-Go-Import-Path: github.com/docker/docker
 
 Package: docker.io
-Build-Profiles: <pkg.docker.with-bin>
-Architecture: amd64
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends} ,${shlibs:Depends}
     ,adduser
@@ -203,8 +202,7 @@
  issues.
 
 Package: docker-cli
-Build-Profiles: <pkg.docker.with-bin>
-Architecture: amd64
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends} ,${shlibs:Depends}
 Conflicts:
@@ -238,6 +236,7 @@
     ,golang-github-docker-go-metrics-dev
     ,golang-github-docker-go-units-dev (>= 0.4.0~)
     ,golang-github-docker-libkv-dev
+    ,golang-github-distribution-reference-dev
     ,golang-github-fsnotify-fsnotify-dev
     ,golang-github-gorilla-mux-dev (>= 1.7.1~)
     ,golang-github-mitchellh-hashstructure-dev (>= 2.0.2)
@@ -273,7 +272,6 @@
  external dependencies to be built.
 
 Package: docker-doc
-Build-Profiles: <pkg.docker.with-bin>
 Provides: docker.io-doc
 Section: doc
 Architecture: all

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# https://wiki.debian.org/debian/watch
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
compression=xz,\
repack,repacksuffix=+dfsg3,\
dversionmangle=s{[+~]dfsg\d*}{},\
uversionmangle=s{(\d)[\-]?((rc|beta)\d*)$}{$1~$2},\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
searchmode=plain,\
" https://api.github.com/repos/moby/moby/releases?per_page=99 \
  https://api.github.com/repos/[^/]+/[^/]+/tarball/v?(26[\d.]+) debian ./debian/get-orig-source.sh

## docker.io 26.1.4+kaisen1

=== debian/changelog ===
docker.io (26.1.4+kaisen1-1) kaisen-packages; urgency=medium

  * Import the 26.1.4 release
  * Add buildx into Recommends package (it will need in futures releases to build
    an image)

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 18 Aug 2024 03:56:48 +0200

docker.io (20.10.24+kaisen1-1) kaisen-packages; urgency=medium

  * Import the new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 10 May 2023 10:22:33 +0100

docker.io (20.10.23+kaisen1-1) kaisen-packages; urgency=medium

  * Import the new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 30 Jan 2023 21:05:14 +0100

docker.io (20.10.21+kaisen1-1) kaisen-packages; urgency=medium

  * Import the new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 29 Nov 2022 00:04:07 +0100

docker.io (20.10.19+kaisen1-1) kaisen-packages; urgency=medium

  * Import new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 23 Nov 2022 13:49:57 +0100

docker.io (20.10.17+kaisen1-1) kaisen-packages; urgency=medium

  * Import new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 20 Aug 2022 04:13:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,8 @@
 Section: admin
 Priority: optional
 Standards-Version: 4.7.0
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Arnaud Rebillout <arnaudr@kali.org>
-          ,Dmitry Smirnov <onlyjob@debian.org>
-          ,Tim Potter <tpot@hpe.com>
-          ,Tianon Gravi <tianon@debian.org>
-          ,Paul Tagliamonte <paultag@debian.org>
-          ,Reinhard Tartler <siretart@tauware.de>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
 Build-Conflicts: golang-github-docker-docker-dev
 Build-Depends: debhelper-compat (= 13) ,dh-apparmor ,dh-golang (>= 1.14~)
     ,bash-completion
@@ -166,6 +161,7 @@
     ,ca-certificates
     ,dbus-user-session
     ,docker-cli
+    ,docker-buildx
     ,git
     ,needrestart (>= 3.1~)
     ,xz-utils

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# The engine is built and tested using upstream scripts
# and Makefiles, rather than dh_auto_*. Therefore we can't rely
# on dh to set the environment for us, we have to do it here.
export GOPATH := $(CURDIR)/_build
export GOCACHE := $(GOPATH)/go-build
export GO111MODULE := off
export GOPROXY := off

#export DH_GOLANG_BUILDPKG := github.com/docker/docker github.com/docker/cli
export DH_GOLANG_GO_GENERATE := 1
export DH_GOLANG_INSTALL_ALL := 1
export DH_GOLANG_INSTALL_EXTRA := testdata/
export DH_GOLANG_EXCLUDES := \
    integration-cli \
    overlay_test \
    vendor

# Package names
CLI_PKG        := github.com/docker/cli
ENGINE_PKG     := github.com/docker/docker

# Version and commits
DOCKER_VERSION := $(DEB_VERSION_UPSTREAM)
ENGINE_GITCOMMIT := $(shell ./debian/helpers/gitcommit.sh engine $(DOCKER_VERSION))
ifndef ENGINE_GITCOMMIT
  $(error Missing ENGINE_GITCOMMIT - see debian/helpers/engine-gitcommits)
endif
CLI_GITCOMMIT    := $(shell ./debian/helpers/gitcommit.sh cli $(DOCKER_VERSION))
ifndef CLI_GITCOMMIT
  $(error Missing CLI_GITCOMMIT - see debian/helpers/cli-gitcommits)
endif

# Cf. scripts/build/binary scripts/build/.variables
CLI_BUILDTIME := $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" +"%Y-%m-%dT%H:%M:%SZ")
CLI_BUILDTAGS := pkcs11
CLI_LDFLAGS   += -X $(CLI_PKG)/cli/version.BuildTime=$(CLI_BUILDTIME)
CLI_LDFLAGS   += -X $(CLI_PKG)/cli/version.GitCommit=$(CLI_GITCOMMIT)
CLI_LDFLAGS   += -X $(CLI_PKG)/cli/version.Version=$(DOCKER_VERSION)
ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
CLI_BUILDMODE := -buildmode=pie
endif

# Cf. hack/make.sh hack/make/.binary
ENGINE_BUILDTIME := $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" --rfc-3339 ns | sed -e 's/ /T/')
ENGINE_BUILDTAGS := apparmor seccomp journald
ENGINE_TESTFLAGS := -test.short
ENGINE_LDFLAGS   := -w
ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.Version=$(DOCKER_VERSION)
ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.GitCommit=$(ENGINE_GITCOMMIT)
ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.BuildTime=$(ENGINE_BUILDTIME)
ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.PlatformName=
ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.ProductName=docker
ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.DefaultProductLicense=

ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
ENGINE_BUILDMODE := -buildmode=pie
endif

BUILT_LIBC := $(shell dpkg-query -f '$${source:Package} (= $${source:Version})' -W libc-dev-bin)

%:
	dh $@ --buildsystem=golang --with=bash-completion,golang --builddirectory=_build

override_dh_golang:
## Set DH_GOLANG_BUILDPKG so that Built-Using is properly generated.
	DH_GOLANG_BUILDPKG="$(CLI_PKG)/... $(ENGINE_PKG)/..." \
	  dh_golang -O--buildsystem=golang -O--builddirectory=_build

override_dh_clean:
	dh_clean
	$(RM) -v -r autogen bundles man/man*/ debian/tmphome
#	-find . -type f -name '*.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say grep { $$_=q{ */}.$$_ } split(/\s+/,$$1) if m{^Files\-Excluded:\s*(.*?)(?:\n\n|^Files|^Comment:)}sm;' debian/copyright`
	-find */vendor -mindepth 1 -type d -empty -delete -printf 'removed %p\n'

override_dh_auto_configure:
## dh_auto_configure symlinks dirs from "/usr/share/gocode/src" into
## $(GOPATH) unless folders already exist there in which case files
## are copied. Pre-making directories allows us to use debhelper to
## create proper GOPATH source tree yet have certain directories writable
## even if they are provided by already installed package.
	mkdir -pv $(GOPATH)/src/$(CLI_PKG)
	mkdir -pv $(GOPATH)/src/$(ENGINE_PKG)

## Prepare builddirectory but throw away sourcedirectory.
	DH_GOPKG="__IGNORE__" dh_auto_configure

## Each package must be removed from working tree first, in case some
## of the packages that we are going to build are already installed.
## This is also useful for building in unclean environment.
##
## This is _necessary_ to avoid merging packages that we build with
## pre-installed packages. See #827226 for details.
## Debhelper knows only about "main" DH_GOPKG package but we build several
## and we have to ensure that build tree is properly prepared.
	$(RM) -r              $(GOPATH)/src/$(CLI_PKG)
	cp -ra  cli           $(GOPATH)/src/$(CLI_PKG)
	$(RM) -r              $(GOPATH)/src/$(ENGINE_PKG)
	cp -ra  engine        $(GOPATH)/src/$(ENGINE_PKG)

override_dh_auto_build:
## Order is important:
	DH_GOPKG=$(ENGINE_PKG) DH_GOLANG_BUILDPKG=$(ENGINE_PKG)/cmd/dockerd \
	  dh_auto_build -v -- -tags '$(ENGINE_BUILDTAGS)' $(ENGINE_BUILDMODE) -ldflags '$(ENGINE_LDFLAGS)'

	DH_GOPKG=$(ENGINE_PKG) DH_GOLANG_BUILDPKG=$(ENGINE_PKG)/cmd/docker-proxy \
	  dh_auto_build -v -- -tags '$(ENGINE_BUILDTAGS)' $(ENGINE_BUILDMODE) -ldflags '$(ENGINE_LDFLAGS)'

	DH_GOPKG=$(CLI_PKG) DH_GOLANG_BUILDPKG=$(CLI_PKG)/cmd/docker \
	  dh_auto_build -v -- -tags '$(CLI_BUILDTAGS)' -ldflags '$(CLI_LDFLAGS)' $(CLI_BUILDMODE)
	cd $(GOPATH)/src/$(CLI_PKG) && ./scripts/docs/generate-man.sh

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# basic smoke test -- these must pass
	_build/bin/docker --version
	_build/bin/dockerd --version

	## Test engine:
	-cd $(GOPATH)/src/$(ENGINE_PKG) && PATH=$(GOPATH)/bin:$(PATH) TESTFLAGS='$(ENGINE_TESTFLAGS)' ./hack/test/unit

	# Unit tests -- these are notoriously flaky and not written with the intend
	# to be run outside of a tightly controlled container image. Therefore,
	# ignore failures
	## Test CLI:
	mkdir -p $(CURDIR)/debian/tmphome/tmp
	-cd $(GOPATH)/src/$(CLI_PKG) && HOME=$(CURDIR)/debian/tmphome TMPDIR=$(CURDIR)/debian/tmphome/tmp PATH=$(GOPATH)/bin:$(PATH) DISABLE_WARN_OUTSIDE_CONTAINER=1 $(MAKE) test-unit GO111MODULE=off
endif

override_dh_install:
	## Do not install extra license files:
	dh_install -XLICENSE
	## Apparmor thing, not sure it's needed, we don't install a profile
	dh_apparmor --profile-name=docker.io -pdocker.io

override_dh_auto_install:
	## skip dh_auto_install to stop dh_golang trying to copy bits
	## for /usr/share/gocode (we use dh_install for that)

override_dh_installinit:
	dh_installinit -v --name=docker --no-enable --no-start --no-stop-on-upgrade --no-restart-after-upgrade

override_dh_installsystemd:
	dh_installsystemd -v --name=docker --no-enable --no-start --no-stop-on-upgrade --no-restart-after-upgrade

override_dh_installudev:
	# use priority z80 to match the upstream priority of 80
	dh_installudev -v --name=docker --priority=z80

override_dh_gencontrol:
	echo 'libc:Built-Using=$(BUILT_LIBC)' >> debian/docker.io.substvars
	dh_gencontrol

## docker.io 26.1.5%2Bdfsg1

=== debian/changelog ===
docker.io (26.1.5+dfsg1-4) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 31 Oct 2024 19:17:51 -0400

docker.io (26.1.5+dfsg1-3) experimental; urgency=medium

  * Rebuild against opentelemetry, containerd in experimental

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 29 Oct 2024 15:11:22 -0400

docker.io (26.1.5+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 03 Sep 2024 07:35:40 -0400

docker.io (26.1.5+dfsg1-1) experimental; urgency=medium

  * New upstream release [26.1.5]
    - Fixes: CVE-2024-41110
  * Unvendor "dario.cat/mergo"

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Aug 2024 13:40:58 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,13 @@
 Section: admin
 Priority: optional
 Standards-Version: 4.7.0
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Arnaud Rebillout <arnaudr@kali.org>
+          ,Dmitry Smirnov <onlyjob@debian.org>
+          ,Tim Potter <tpot@hpe.com>
+          ,Tianon Gravi <tianon@debian.org>
+          ,Paul Tagliamonte <paultag@debian.org>
+          ,Reinhard Tartler <siretart@tauware.de>
 Build-Conflicts: golang-github-docker-docker-dev
 Build-Depends: debhelper-compat (= 13) ,dh-apparmor ,dh-golang (>= 1.14~)
     ,bash-completion
@@ -26,7 +31,7 @@
     ,golang-github-cilium-ebpf-dev
     ,golang-github-cloudflare-cfssl-dev (>= 1.6.4)
     ,golang-github-containerd-console-dev
-    ,golang-github-containerd-containerd-dev (>= 1.7)
+    ,golang-github-containerd-containerd-dev (>= 1.7.23~)
     ,golang-github-containerd-continuity-dev (>= 0.0~git20190426~)
     ,golang-github-containerd-fifo-dev (>= 1.1.0~)
     ,golang-github-containerd-go-cni-dev
@@ -99,9 +104,9 @@
     ,golang-github-opencontainers-specs-dev (>= 1.0.1~)
     ,golang-github-opentracing-contrib-go-stdlib-dev
     ,golang-github-opentracing-opentracing-go-dev (>= 0.0~git20180507)
-    ,golang-opentelemetry-contrib-dev (>= 0.42)
-    ,golang-opentelemetry-otel-dev (>= 1.21)
-    ,golang-opentelemetry-proto-dev
+    ,golang-opentelemetry-contrib-dev (>= 0.56)
+    ,golang-opentelemetry-otel-dev (>= 1.31)
+    ,golang-opentelemetry-proto-dev (>= 1.3.1)
     ,golang-github-pelletier-go-toml-dev
     ,golang-github-philhofer-fwd-dev
     ,golang-github-prometheus-client-golang-dev (>= 0.9.0~)
@@ -161,7 +166,6 @@
     ,ca-certificates
     ,dbus-user-session
     ,docker-cli
-    ,docker-buildx
     ,git
     ,needrestart (>= 3.1~)
     ,xz-utils
@@ -189,9 +193,11 @@
  large-scale web deployments, database clusters, continuous deployment systems,
  private PaaS, service-oriented architectures, etc.
  .
- This package contains the daemon and client. Using docker.io on non-amd64 hosts
- is not supported at this time. Please be careful when using it on anything
- besides amd64.
+ This package contains the daemon only. For the command-line utility
+ "/usr/bin/docker", please install the "docker-cli" package.
+ .
+ Using docker.io on non-amd64 hosts is not supported at this time. Please be
+ careful when using it on anything besides amd64.
  .
  Also, note that kernel version 3.8 or above is required for proper operation of
  the daemon process, and that any lower versions may have subtle and/or glaring
@@ -223,7 +229,7 @@
 Depends: ${misc:Depends}
     ,golang-github-armon-circbuf-dev
     ,golang-github-cloudflare-cfssl-dev (>= 1.6.4)
-    ,golang-github-containerd-containerd-dev (>= 1.7)
+    ,golang-github-containerd-containerd-dev (>= 1.7.23~)
     ,golang-github-containerd-continuity-dev (>= 0.0~git20190426~)
     ,golang-github-containerd-typeurl-dev (>= 2.1.1-2)
     ,golang-github-docker-distribution-dev (>= 2.7.1~)

=== debian/rules ===
--- 
+++ 
@@ -147,10 +147,10 @@
 	## for /usr/share/gocode (we use dh_install for that)
 
 override_dh_installinit:
-	dh_installinit -v --name=docker --no-enable --no-start --no-stop-on-upgrade --no-restart-after-upgrade
+	dh_installinit -v --name=docker --no-stop-on-upgrade --no-restart-after-upgrade
 
 override_dh_installsystemd:
-	dh_installsystemd -v --name=docker --no-enable --no-start --no-stop-on-upgrade --no-restart-after-upgrade
+	dh_installsystemd -v --name=docker --no-stop-on-upgrade --no-restart-after-upgrade
 
 override_dh_installudev:
 	# use priority z80 to match the upstream priority of 80
